Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.utils
Class EncryptionConstants

    java.lang.Object
      org.apache.xml.security.utils.EncryptionConstants

    public class EncryptionConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `_ATT_ALGORITHM` Tag of Attr Algorithm
`static java.lang.String` | `_ATT_ENCODING` Tag of Attr encoding
`static java.lang.String` | `_ATT_ID` Tag of Attr Id
`static java.lang.String` | `_ATT_MIMETYPE` Tag of Attr mimetype
`static java.lang.String` | `_ATT_RECIPIENT` Tag of Attr recipient
`static java.lang.String` | `_ATT_TARGET` Tag of Attr Target
`static java.lang.String` | `_ATT_TYPE` Tag of Attr Type
`static java.lang.String` | `_ATT_URI` Tag of Attr URI
`static java.lang.String` | `_TAG_AGREEMENTMETHOD` Tag of Element AgreementMethod
`static java.lang.String` | `_TAG_CARRIEDKEYNAME` Tag of Element CarriedKeyName
`static java.lang.String` | `_TAG_CIPHERDATA` Tag of Element CipherData
`static java.lang.String` | `_TAG_CIPHERREFERENCE` Tag of Element CipherReference
`static java.lang.String` | `_TAG_CIPHERVALUE` Tag of Element CipherValue
`static java.lang.String` | `_TAG_DATAREFERENCE` Tag of Element DataReference
`static java.lang.String` | `_TAG_ENCRYPTEDDATA` Tag of Element EncryptedData
`static java.lang.String` | `_TAG_ENCRYPTEDKEY` Tag of Element EncryptedKey
`static java.lang.String` | `_TAG_ENCRYPTIONMETHOD` Tag of Element EncryptionMethod
`static java.lang.String` | `_TAG_ENCRYPTIONPROPERTIES` Tag of Element EncryptionProperties
`static java.lang.String` | `_TAG_ENCRYPTIONPROPERTY` Tag of Element EncryptionProperty
`static java.lang.String` | `_TAG_KA_NONCE` Tag of Element KA-Nonce
`static java.lang.String` | `_TAG_KEYREFERENCE` Tag of Element KeyReference
`static java.lang.String` | `_TAG_KEYSIZE` Tag of Element KeySize
`static java.lang.String` | `_TAG_MGF` Tag of Element MGF
`static java.lang.String` | `_TAG_OAEPPARAMS` Tag of Element OAEPparams
`static java.lang.String` | `_TAG_ORIGINATORKEYINFO` Tag of Element OriginatorKeyInfo
`static java.lang.String` | `_TAG_RECIPIENTKEYINFO` Tag of Element RecipientKeyInfo
`static java.lang.String` | `_TAG_REFERENCELIST` Tag of Element ReferenceList
`static java.lang.String` | `_TAG_TRANSFORMS` Tag of Element Transforms
`static java.lang.String` | `ALGO_ID_AUTHENTICATION_XMLSIGNATURE` Message Authentication - RECOMMENDED XML Digital Signature
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES128` Block Encryption - REQUIRED AES-128
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES128_GCM` Block Encryption - OPTIONAL AES-128-GCM
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES192` Block Encryption - OPTIONAL AES-192
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES192_GCM` Block Encryption - OPTIONAL AES-192-GCM
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES256` Block Encryption - REQUIRED AES-256
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_AES256_GCM` Block Encryption - OPTIONAL AES-256-GCM
`static java.lang.String` | `ALGO_ID_BLOCKCIPHER_TRIPLEDES` Block Encryption - REQUIRED TRIPLEDES
`static java.lang.String` | `ALGO_ID_C14N_OMITCOMMENTS` Canonicalization - OPTIONAL Canonical XML (omits comments)
`static java.lang.String` | `ALGO_ID_C14N_WITHCOMMENTS` Canonicalization - OPTIONAL Canonical XML with Comments
`static java.lang.String` | `ALGO_ID_ENCODING_BASE64` Encoding - REQUIRED base64
`static java.lang.String` | `ALGO_ID_KEYAGREEMENT_DH` Key Agreement - OPTIONAL Diffie-Hellman
`static java.lang.String` | `ALGO_ID_KEYTRANSPORT_RSA15` Key Transport - REQUIRED RSA-v1.5
`static java.lang.String` | `ALGO_ID_KEYTRANSPORT_RSAOAEP` Key Transport - REQUIRED RSA-OAEP
`static java.lang.String` | `ALGO_ID_KEYTRANSPORT_RSAOAEP_11` Key Transport - OPTIONAL RSA-OAEP_11
`static java.lang.String` | `ALGO_ID_KEYWRAP_AES128` Symmetric Key Wrap - REQUIRED AES-128 KeyWrap
`static java.lang.String` | `ALGO_ID_KEYWRAP_AES192` Symmetric Key Wrap - OPTIONAL AES-192 KeyWrap
`static java.lang.String` | `ALGO_ID_KEYWRAP_AES256` Symmetric Key Wrap - REQUIRED AES-256 KeyWrap
`static java.lang.String` | `ALGO_ID_KEYWRAP_TRIPLEDES` Symmetric Key Wrap - REQUIRED TRIPLEDES KeyWrap
`static java.lang.String` | `EncryptionSpec11NS` The namespace of the XML Encryption 1.1 specification
`static java.lang.String` | `ENCRYPTIONSPECIFICATION_URL` Field ENCRYPTIONSPECIFICATION_URL
`static java.lang.String` | `EncryptionSpecNS` The namespace of the XML Encryption Syntax and Processing
`static java.lang.String` | `MGF1_SHA1` MGF1 with SHA-1
`static java.lang.String` | `MGF1_SHA224` MGF1 with SHA-224
`static java.lang.String` | `MGF1_SHA256` MGF1 with SHA-256
`static java.lang.String` | `MGF1_SHA384` MGF1 with SHA-384
`static java.lang.String` | `MGF1_SHA512` MGF1 with SHA-512
`static java.lang.String` | `TYPE_CONTENT` URI for content
`static java.lang.String` | `TYPE_ELEMENT` URI for element
`static java.lang.String` | `TYPE_MEDIATYPE` URI for mediatype

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _ATT_ALGORITHM

    public static final java.lang.String _ATT_ALGORITHM

  Tag of Attr Algorithm

  See Also:
    Constant Field Values

### _ATT_ID

    public static final java.lang.String _ATT_ID

  Tag of Attr Id

  See Also:
    Constant Field Values

### _ATT_TARGET

    public static final java.lang.String _ATT_TARGET

  Tag of Attr Target

  See Also:
    Constant Field Values

### _ATT_TYPE

    public static final java.lang.String _ATT_TYPE

  Tag of Attr Type

  See Also:
    Constant Field Values

### _ATT_URI

    public static final java.lang.String _ATT_URI

  Tag of Attr URI

  See Also:
    Constant Field Values

### _ATT_ENCODING

    public static final java.lang.String _ATT_ENCODING

  Tag of Attr encoding

  See Also:
    Constant Field Values

### _ATT_RECIPIENT

    public static final java.lang.String _ATT_RECIPIENT

  Tag of Attr recipient

  See Also:
    Constant Field Values

### _ATT_MIMETYPE

    public static final java.lang.String _ATT_MIMETYPE

  Tag of Attr mimetype

  See Also:
    Constant Field Values

### _TAG_CARRIEDKEYNAME

    public static final java.lang.String _TAG_CARRIEDKEYNAME

  Tag of Element CarriedKeyName

  See Also:
    Constant Field Values

### _TAG_CIPHERDATA

    public static final java.lang.String _TAG_CIPHERDATA

  Tag of Element CipherData

  See Also:
    Constant Field Values

### _TAG_CIPHERREFERENCE

    public static final java.lang.String _TAG_CIPHERREFERENCE

  Tag of Element CipherReference

  See Also:
    Constant Field Values

### _TAG_CIPHERVALUE

    public static final java.lang.String _TAG_CIPHERVALUE

  Tag of Element CipherValue

  See Also:
    Constant Field Values

### _TAG_DATAREFERENCE

    public static final java.lang.String _TAG_DATAREFERENCE

  Tag of Element DataReference

  See Also:
    Constant Field Values

### _TAG_ENCRYPTEDDATA

    public static final java.lang.String _TAG_ENCRYPTEDDATA

  Tag of Element EncryptedData

  See Also:
    Constant Field Values

### _TAG_ENCRYPTEDKEY

    public static final java.lang.String _TAG_ENCRYPTEDKEY

  Tag of Element EncryptedKey

  See Also:
    Constant Field Values

### _TAG_ENCRYPTIONMETHOD

    public static final java.lang.String _TAG_ENCRYPTIONMETHOD

  Tag of Element EncryptionMethod

  See Also:
    Constant Field Values

### _TAG_ENCRYPTIONPROPERTIES

    public static final java.lang.String _TAG_ENCRYPTIONPROPERTIES

  Tag of Element EncryptionProperties

  See Also:
    Constant Field Values

### _TAG_ENCRYPTIONPROPERTY

    public static final java.lang.String _TAG_ENCRYPTIONPROPERTY

  Tag of Element EncryptionProperty

  See Also:
    Constant Field Values

### _TAG_KEYREFERENCE

    public static final java.lang.String _TAG_KEYREFERENCE

  Tag of Element KeyReference

  See Also:
    Constant Field Values

### _TAG_KEYSIZE

    public static final java.lang.String _TAG_KEYSIZE

  Tag of Element KeySize

  See Also:
    Constant Field Values

### _TAG_OAEPPARAMS

    public static final java.lang.String _TAG_OAEPPARAMS

  Tag of Element OAEPparams

  See Also:
    Constant Field Values

### _TAG_MGF

    public static final java.lang.String _TAG_MGF

  Tag of Element MGF

  See Also:
    Constant Field Values

### _TAG_REFERENCELIST

    public static final java.lang.String _TAG_REFERENCELIST

  Tag of Element ReferenceList

  See Also:
    Constant Field Values

### _TAG_TRANSFORMS

    public static final java.lang.String _TAG_TRANSFORMS

  Tag of Element Transforms

  See Also:
    Constant Field Values

### _TAG_AGREEMENTMETHOD

    public static final java.lang.String _TAG_AGREEMENTMETHOD

  Tag of Element AgreementMethod

  See Also:
    Constant Field Values

### _TAG_KA_NONCE

    public static final java.lang.String _TAG_KA_NONCE

  Tag of Element KA-Nonce

  See Also:
    Constant Field Values

### _TAG_ORIGINATORKEYINFO

    public static final java.lang.String _TAG_ORIGINATORKEYINFO

  Tag of Element OriginatorKeyInfo

  See Also:
    Constant Field Values

### _TAG_RECIPIENTKEYINFO

    public static final java.lang.String _TAG_RECIPIENTKEYINFO

  Tag of Element RecipientKeyInfo

  See Also:
    Constant Field Values

### ENCRYPTIONSPECIFICATION_URL

    public static final java.lang.String ENCRYPTIONSPECIFICATION_URL

  Field ENCRYPTIONSPECIFICATION_URL

  See Also:
    Constant Field Values

### EncryptionSpecNS

    public static final java.lang.String EncryptionSpecNS

  The namespace of the XML Encryption Syntax and Processing

  See Also:
    Constant Field Values

### EncryptionSpec11NS

    public static final java.lang.String EncryptionSpec11NS

  The namespace of the XML Encryption 1.1 specification

  See Also:
    Constant Field Values

### TYPE_CONTENT

    public static final java.lang.String TYPE_CONTENT

  URI for content

  See Also:
    Constant Field Values

### TYPE_ELEMENT

    public static final java.lang.String TYPE_ELEMENT

  URI for element

  See Also:
    Constant Field Values

### TYPE_MEDIATYPE

    public static final java.lang.String TYPE_MEDIATYPE

  URI for mediatype

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_TRIPLEDES

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_TRIPLEDES

  Block Encryption - REQUIRED TRIPLEDES

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES128

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES128

  Block Encryption - REQUIRED AES-128

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES256

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES256

  Block Encryption - REQUIRED AES-256

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES192

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES192

  Block Encryption - OPTIONAL AES-192

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES128_GCM

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES128_GCM

  Block Encryption - OPTIONAL AES-128-GCM

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES192_GCM

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES192_GCM

  Block Encryption - OPTIONAL AES-192-GCM

  See Also:
    Constant Field Values

### ALGO_ID_BLOCKCIPHER_AES256_GCM

    public static final java.lang.String ALGO_ID_BLOCKCIPHER_AES256_GCM

  Block Encryption - OPTIONAL AES-256-GCM

  See Also:
    Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSA15

    public static final java.lang.String ALGO_ID_KEYTRANSPORT_RSA15

  Key Transport - REQUIRED RSA-v1.5

  See Also:
    Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSAOAEP

    public static final java.lang.String ALGO_ID_KEYTRANSPORT_RSAOAEP

  Key Transport - REQUIRED RSA-OAEP

  See Also:
    Constant Field Values

### ALGO_ID_KEYTRANSPORT_RSAOAEP_11

    public static final java.lang.String ALGO_ID_KEYTRANSPORT_RSAOAEP_11

  Key Transport - OPTIONAL RSA-OAEP_11

  See Also:
    Constant Field Values

### ALGO_ID_KEYAGREEMENT_DH

    public static final java.lang.String ALGO_ID_KEYAGREEMENT_DH

  Key Agreement - OPTIONAL Diffie-Hellman

  See Also:
    Constant Field Values

### ALGO_ID_KEYWRAP_TRIPLEDES

    public static final java.lang.String ALGO_ID_KEYWRAP_TRIPLEDES

  Symmetric Key Wrap - REQUIRED TRIPLEDES KeyWrap

  See Also:
    Constant Field Values

### ALGO_ID_KEYWRAP_AES128

    public static final java.lang.String ALGO_ID_KEYWRAP_AES128

  Symmetric Key Wrap - REQUIRED AES-128 KeyWrap

  See Also:
    Constant Field Values

### ALGO_ID_KEYWRAP_AES256

    public static final java.lang.String ALGO_ID_KEYWRAP_AES256

  Symmetric Key Wrap - REQUIRED AES-256 KeyWrap

  See Also:
    Constant Field Values

### ALGO_ID_KEYWRAP_AES192

    public static final java.lang.String ALGO_ID_KEYWRAP_AES192

  Symmetric Key Wrap - OPTIONAL AES-192 KeyWrap

  See Also:
    Constant Field Values

### ALGO_ID_AUTHENTICATION_XMLSIGNATURE

    public static final java.lang.String ALGO_ID_AUTHENTICATION_XMLSIGNATURE

  Message Authentication - RECOMMENDED XML Digital Signature

  See Also:
    Constant Field Values

### ALGO_ID_C14N_WITHCOMMENTS

    public static final java.lang.String ALGO_ID_C14N_WITHCOMMENTS

  Canonicalization - OPTIONAL Canonical XML with Comments

  See Also:
    Constant Field Values

### ALGO_ID_C14N_OMITCOMMENTS

    public static final java.lang.String ALGO_ID_C14N_OMITCOMMENTS

  Canonicalization - OPTIONAL Canonical XML (omits comments)

  See Also:
    Constant Field Values

### ALGO_ID_ENCODING_BASE64

    public static final java.lang.String ALGO_ID_ENCODING_BASE64

  Encoding - REQUIRED base64

  See Also:
    Constant Field Values

### MGF1_SHA1

    public static final java.lang.String MGF1_SHA1

  MGF1 with SHA-1

  See Also:
    Constant Field Values

### MGF1_SHA224

    public static final java.lang.String MGF1_SHA224

  MGF1 with SHA-224

  See Also:
    Constant Field Values

### MGF1_SHA256

    public static final java.lang.String MGF1_SHA256

  MGF1 with SHA-256

  See Also:
    Constant Field Values

### MGF1_SHA384

    public static final java.lang.String MGF1_SHA384

  MGF1 with SHA-384

  See Also:
    Constant Field Values

### MGF1_SHA512

    public static final java.lang.String MGF1_SHA512

  MGF1 with SHA-512

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD